import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const HouseIcon = ({ originalWidth, originalHeight, color, ...props }) => (
  <Icon
    originalHeight={originalHeight}
    originalWidth={originalWidth}
    {...props}
  >
    <path
      d="M22.4401 13.035C22.3838 13.1719 22.2883 13.2892 22.1655 13.3719C22.0427 13.4547 21.8982 13.4992 21.7501 13.5H19.5001V21C19.5001 21.5967 19.2631 22.169 18.8411 22.5909C18.4191 23.0129 17.8468 23.25 17.2501 23.25H14.2501C14.0512 23.25 13.8604 23.1709 13.7198 23.0303C13.5791 22.8896 13.5001 22.6989 13.5001 22.5V18C13.5001 17.801 13.4211 17.6103 13.2804 17.4696C13.1398 17.329 12.949 17.25 12.7501 17.25H11.2501C11.0512 17.25 10.8604 17.329 10.7198 17.4696C10.5791 17.6103 10.5001 17.801 10.5001 18V22.5C10.5001 22.6989 10.4211 22.8896 10.2804 23.0303C10.1398 23.1709 9.94902 23.25 9.7501 23.25H6.75011C6.15337 23.25 5.58107 23.0129 5.15911 22.5909C4.73716 22.169 4.5001 21.5967 4.5001 21V13.5H2.2501C2.10204 13.4992 1.9575 13.4547 1.83471 13.3719C1.71192 13.2892 1.61637 13.1719 1.5601 13.035C1.50267 12.8984 1.48698 12.7478 1.51501 12.6023C1.54304 12.4569 1.61354 12.3229 1.7176 12.2175L11.4676 2.46745C11.5373 2.39716 11.6203 2.34136 11.7117 2.30329C11.8031 2.26521 11.9011 2.24561 12.0001 2.24561C12.0991 2.24561 12.1971 2.26521 12.2885 2.30329C12.3799 2.34136 12.4629 2.39716 12.5326 2.46745L22.2826 12.2175C22.3867 12.3229 22.4572 12.4569 22.4852 12.6023C22.5132 12.7478 22.4975 12.8984 22.4401 13.035Z"
      fill={color}
    />
  </Icon>
);

HouseIcon.defaultProps = {
  originalWidth: 24,
  originalHeight: 24,
};

HouseIcon.propTypes = {
  color: PropTypes.string,
  originalHeight: PropTypes.number,
  originalWidth: PropTypes.number,
};

export default HouseIcon;
